'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var TestingDataHandling = function () {
    function TestingDataHandling() {
        _classCallCheck(this, TestingDataHandling);
    }

    _createClass(TestingDataHandling, null, [{
        key: 'locateTestingData',
        value: function locateTestingData(dataObj) {
            var deviceName = browser.desiredCapabilities.deviceName;
            this.modifyInitValue(dataObj, deviceName);
            return dataObj;
        }
    }, {
        key: 'modifyInitValue',
        value: function modifyInitValue(object, deviceName) {
            for (var key in object) {
                if (_typeof(object[key]) === 'object') {
                    this.modifyInitValue(object[key], deviceName);
                } else {
                    var oldValue = object[key];
                    if (typeof oldValue === 'string') {
                        object[key] = oldValue.replace('device-n', deviceName);
                    }
                }
            }
            return object;
        }
    }]);

    return TestingDataHandling;
}();

module.exports = TestingDataHandling;