class TestingDataHandling {

    static locateTestingData(dataObj) {
        let deviceName = browser.desiredCapabilities.deviceName;
        this.modifyInitValue(dataObj, deviceName);
        return dataObj;
    }

    static modifyInitValue(object, deviceName) {
        for (let key in object) {
            if (typeof object[key] === 'object') {
                this.modifyInitValue(object[key], deviceName);
            } else {
                let oldValue = object[key];
                if (typeof oldValue === 'string') {
                    object[key] = oldValue.replace('device-n', deviceName);
                }
            }
        }
        return object;
    }
}
module.exports = TestingDataHandling;
